public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Amy Winston" <amynka@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/fribidi/
Date: Tue,  8 Sep 2015 13:30:54 +0000 (UTC)	[thread overview]
Message-ID: <1441719019.63cb76b44114c9d99fda8f8869369a92f0ac6b41.amynka@gentoo> (raw)

commit:     63cb76b44114c9d99fda8f8869369a92f0ac6b41
Author:     Amy Winston <amynka <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  8 13:30:19 2015 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Tue Sep  8 13:30:19 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63cb76b4

dev-libs/fribidi: Version bump bug #559570.

Package-Manager: portage-2.2.20.1

 dev-libs/fribidi/Manifest              |  1 +
 dev-libs/fribidi/fribidi-0.19.7.ebuild | 45 ++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-libs/fribidi/Manifest b/dev-libs/fribidi/Manifest
index 71f161d..fbeb02a 100644
--- a/dev-libs/fribidi/Manifest
+++ b/dev-libs/fribidi/Manifest
@@ -1,2 +1,3 @@
 DIST fribidi-0.19.5.tar.bz2 625034 SHA256 501231e4260f83fccedae1cafe983a7de87082e3f5387e0b283d016f7f4cb428 SHA512 0a1216d3ff23f76dd90a1fa5b1eadd1276cfedc07bd636e345df23911d2e23bc3780a5ba2e32f2025b517f7137135fb3de6d337f872932466efe480ece364e43 WHIRLPOOL 5241696a5477f9cd1931213b14a27a21647ccabbaaaa0d2f8112a51efeeb7557b3b614bbb30500cd1ebf17fd4332007c22c42c1667e738dc2a2e94e1c182211a
 DIST fribidi-0.19.6.tar.bz2 639022 SHA256 cba8b7423c817e5adf50d28ec9079d14eafcec9127b9e8c8f1960c5ad585e17d SHA512 0661cf8e0985edfd5bf02c8de32432bf2faacadcaf35aef4e039a28f802a0468288e76b60231ebe7b54f909bd4d3ecc31a1fc94e83d434ae16dd21de6089629e WHIRLPOOL 71a1d1b44a4d58e6e4567f21a7e9f72a925f648a817d1c59d3815c8070e48656889c91afe2c842ca56e2bd8f33c783a4bbf16864514106614a12b8394c03e674
+DIST fribidi-0.19.7.tar.bz2 648299 SHA256 08222a6212bbc2276a2d55c3bf370109ae4a35b689acbc66571ad2a670595a8e SHA512 4bfdda43d961030a8a2ae2c98d2ca5d43c1b59633fa0987920c5537ec69f3f624204ceacc4c474d878cbb417ee2d9e708dfe169cfce6ad584d2f2d5122678b63 WHIRLPOOL 3f101ad3b2ebe6299a61e849a0f46f3393e12a6ade6239db7428772d1389222b76b2d1ad9c1d7c0bb75fc100e7f83859c3ef8b98be6f3e5178555be1920fcf52

diff --git a/dev-libs/fribidi/fribidi-0.19.7.ebuild b/dev-libs/fribidi/fribidi-0.19.7.ebuild
new file mode 100644
index 0000000..0261195
--- /dev/null
+++ b/dev-libs/fribidi/fribidi-0.19.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+
+inherit autotools eutils autotools-multilib
+
+DESCRIPTION="A free implementation of the unicode bidirectional algorithm"
+HOMEPAGE="http://fribidi.org/"
+SRC_URI="http://fribidi.org/download/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+RESTRICT="test" #397347
+
+RDEPEND=">=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+	abi_x86_32? ( !<=app-emulation/emul-linux-x86-medialibs-20130224-r10
+		!app-emulation/emul-linux-x86-medialibs[-abi_x86_32(-)] )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+DOCS=( AUTHORS NEWS README ChangeLog THANKS TODO )
+
+src_prepare() {
+	# Fix compability with dev-libs/glib >= 2.31
+	sed -i \
+		-e '/include/s:<glib/gstrfuncs.h>:<glib.h>:' \
+		-e '/include/s:<glib/gmem.h>:<glib.h>:' \
+		charset/fribidi-char-sets.c lib/mem.h || die
+
+	autotools-multilib_src_prepare
+}
+
+src_configure() {
+	# --with-glib=yes is required for #345621 to ensure "Requires: glib-2.0" is
+	# present in /usr/lib/pkgconfig/fribidi.pc
+	local myeconfargs=( --with-glib=yes )
+	autotools-multilib_src_configure
+}


             reply	other threads:[~2015-09-08 13:30 UTC|newest]

Thread overview: 71+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-08 13:30 Amy Winston [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-04 23:06 [gentoo-commits] repo/gentoo:master commit in: dev-libs/fribidi/ Sam James
2023-07-02 12:10 Sam James
2023-07-02  8:34 Sam James
2023-07-02  8:33 Sam James
2023-07-02  8:04 Sam James
2023-07-02  8:04 Sam James
2023-07-02  8:04 Sam James
2023-05-18  2:11 Matt Turner
2022-05-09  5:29 WANG Xuerui
2022-04-20 20:36 Matt Turner
2022-03-18 14:43 Arthur Zamarin
2022-03-15 20:54 Matt Turner
2021-12-17  5:48 Matt Turner
2021-09-19 12:47 James Le Cuirot
2021-04-30  1:48 Matt Turner
2021-04-15 21:28 Matt Turner
2021-04-15 18:28 Sergei Trofimovich
2021-04-15  1:33 Sam James
2021-04-15  0:13 Sam James
2021-04-14 22:07 Sam James
2021-03-21  0:33 Matt Turner
2020-06-07 21:28 Mart Raudsepp
2020-06-03 15:32 Agostino Sarubbo
2020-05-13 17:35 Sergei Trofimovich
2020-04-22 14:25 Agostino Sarubbo
2020-03-02 16:35 Mart Raudsepp
2020-02-22 16:47 Mart Raudsepp
2020-01-03 12:30 Agostino Sarubbo
2020-01-01 15:25 Agostino Sarubbo
2020-01-01 12:53 Agostino Sarubbo
2019-12-30 15:53 Agostino Sarubbo
2019-12-30 15:33 Agostino Sarubbo
2019-12-30 12:29 Agostino Sarubbo
2019-12-29 20:03 Sergei Trofimovich
2019-12-28 12:31 Sergei Trofimovich
2019-12-27 17:22 Aaron Bauman
2019-12-26 18:45 Agostino Sarubbo
2019-12-25 20:50 Mart Raudsepp
2019-12-24 17:03 Sergei Trofimovich
2019-12-09  9:14 Agostino Sarubbo
2019-12-09  9:11 Agostino Sarubbo
2019-12-08 11:59 Mikle Kolyada
2019-12-08 11:58 Mikle Kolyada
2019-12-08 11:55 Mikle Kolyada
2019-10-13  8:24 Mart Raudsepp
2018-12-30 21:39 Mikle Kolyada
2018-12-30 11:28 Mart Raudsepp
2018-12-30 10:16 Sergei Trofimovich
2018-12-28  3:46 Matt Turner
2018-12-05 15:32 Mart Raudsepp
2018-12-05  7:34 Mikle Kolyada
2018-12-05  7:07 Mikle Kolyada
2018-12-04 16:27 Mikle Kolyada
2018-11-04 14:16 Sergei Trofimovich
2018-08-17  2:05 Mikle Kolyada
2018-07-30 22:15 Mart Raudsepp
2018-06-02 14:57 Fabian Groffen
2018-05-17 19:05 Markus Meier
2018-05-14 16:50 Tobias Klausmann
2018-05-10  4:11 Mart Raudsepp
2018-05-09 21:53 Sergei Trofimovich
2018-05-08 21:48 Mikle Kolyada
2018-05-08 18:43 Sergei Trofimovich
2018-05-07 22:01 Mart Raudsepp
2018-05-07 19:40 Thomas Deutschmann
2018-05-07 18:26 Mart Raudsepp
2017-08-11 19:57 Amy Liffey
2016-08-03  6:25 Amy Winston
2015-09-11 19:16 Amy Winston
2015-09-08 13:30 Amy Winston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1441719019.63cb76b44114c9d99fda8f8869369a92f0ac6b41.amynka@gentoo \
    --to=amynka@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox